$(document).ready(function () {
    $("#exit").click(() => {
        logout()
    });

    $(".start-test").click(function() {
        startTest($(this).data('test-id'))
    });

    $(".resume-test").click(function() {
        resumeTest($(this).data('test-id'))
    });

    $(".result-test").click(function() {
        resultTest($(this).data('test-id'))
    });
});

function logout() {
    request('.', 'logout', 'json').then(data => {
        data.error ? showModal(data.message) : (window.location.href = "/");
    }).catch(error => {
        console.log(error.message);
    });
}

function startTest(id) {
    request('.', 'starttest', 'json', {id: id}).then(answer => {
        answer.error ? showModal(answer.message) : (window.location.href = "test?current=" + answer.data);
    }).catch(error => {
        console.log(error.message);
    });
}

function resumeTest(id) {
    request('.', 'resumetest', 'json', {id: id}).then(answer => {
        answer.error ? showModal(answer.message) : (window.location.href = "test?current=" + answer.data);
    }).catch(error => {
        console.log(error.message);
    });
}

function resultTest(id) {
    request('.', 'resulttest', 'json', {id: id}).then(answer => {
        answer.error ? showModal(answer.message) : (window.location.href = "result?current=" + answer.data);
    }).catch(error => {
        console.log(error.message);
    });
}

function showModal(text) {
    $("#modal p").text(text);

    var modal = $("#modal");
    modal.css("display", "flex");

    $("#close-btn").click(() => {
        modal.css("display", "none");
    });
}
