$(document).ready(function () {
    $("#exit").click(() => {
        window.location.href = "/profile";
    });

    $("#answer-btn").click(() => {
        answer();
    });
});

function answer() {
    let topic_id = $("#answer-btn").data('topic-id');
    let question_id = $("#answer-btn").data('question-id');
    let answer_id = $('input[name="answer"]:checked').data('answer-id');

    if (answer_id === undefined) {
        showModal("Необходимо выбрать ответ");
        return;
    }

    request('.', 'answer', 'json', {
        topic_id: topic_id,
        question_id: question_id,
        answer_id: answer_id
    }).then(answer => {
        answer.error ? showModal(answer.message) : (window.location.href = answer.data);
    }).catch(error => {
        console.log(error.message);
    });
}

function showModal(text) {
    $("#modal p").text(text);

    var modal = $("#modal");
    modal.css("display", "flex");

    $("#close-btn").click(() => {
        modal.css("display", "none");
    });
}
